%define name krb5-fermi-addons
%define path /usr/krb5
%define version 1.3
%define release 1.slf5

Summary: Additional Fermilab Kerberos utilities
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: MIT, freely distributable.
URL: http://web.mit.edu/kerberos/www/
Prereq: fileutils
Group: Fermi
BuildArchitectures: i386
Packager: Frank Nagy <nagy@fnal.gov>
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: krb5-fermi-base krb5-fermi-config
AutoReqProv: No

%description
This package adds additional Fermilab-specific utilities to
your system in addition to the standard MIT Kerberos package
from the up-stream vendor.  You must have already installed
the Fermilab Kerberos base configuration package.

%prep
%setup
rm -rf $RPM_BUILD_ROOT

%install
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/bin
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/config
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/include
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/lib
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man1
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man5
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man8
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/sbin

install -m 0755 aklog $RPM_BUILD_ROOT/%{path}/bin/
install -m 0755 k5push $RPM_BUILD_ROOT/%{path}/bin/
install -m 0755 kcron $RPM_BUILD_ROOT/%{path}/bin/
install -m 4755 kcron-create $RPM_BUILD_ROOT/%{path}/bin/
ln -sf %{path}/bin/kcron-create $RPM_BUILD_ROOT/%{path}/bin/kcron-destroy
ln -sf %{path}/bin/kcron-create $RPM_BUILD_ROOT/%{path}/bin/kcron-delete
install -m 0755 kcroninit $RPM_BUILD_ROOT/%{path}/bin/
ln -sf %{path}/bin/kcroninit $RPM_BUILD_ROOT/%{path}/bin/kcrondestroy
install -m 4755 keytab-convert $RPM_BUILD_ROOT/%{path}/bin/
install -m 4755 new-portal-ticket $RPM_BUILD_ROOT/%{path}/bin/

install -m 0644 kcommon.pm $RPM_BUILD_ROOT/%{path}/lib/

install -m 0644 k5push.1 $RPM_BUILD_ROOT/%{path}/man/man1/
install -m 0644 kcron.1 $RPM_BUILD_ROOT/%{path}/man/man1/
install -m 0644 kcron-create.1 $RPM_BUILD_ROOT/%{path}/man/man1/
install -m 0644 kcrondestroy.1 $RPM_BUILD_ROOT/%{path}/man/man1/
install -m 0644 kcroninit.1 $RPM_BUILD_ROOT/%{path}/man/man1/
install -m 0644 keytab-convert.1 $RPM_BUILD_ROOT/%{path}/man/man1/
install -m 0644 krb5-send-pr.1 $RPM_BUILD_ROOT/%{path}/man/man1/
install -m 0644 new-portal-ticket.1 $RPM_BUILD_ROOT/%{path}/man/man1/

%post

%files
%attr(0755,root,root)  %dir %{path}
%attr(0755,root,root)  %dir %{path}/bin
%attr(0755,root,root)  %dir %{path}/config
%attr(0755,root,root)  %dir %{path}/lib
%attr(0755,root,root)  %dir %{path}/man
%attr(0755,root,root)  %dir %{path}/man/man1
%attr(0755,root,root)  %dir %{path}/man/man5
%attr(0755,root,root)  %dir %{path}/man/man8
%attr(0755,root,root)  %dir %{path}/sbin

%attr(0755,root,root)  %{path}/bin/aklog
%attr(0755,root,root)  %{path}/bin/k5push
%attr(0755,root,root)  %{path}/bin/kcron
%attr(0755,root,root)  %{path}/bin/kcroninit
%attr(0777,root,root)  %{path}/bin/kcrondestroy
%attr(4755,root,root)  %{path}/bin/kcron-create
%attr(4777,root,root)  %{path}/bin/kcron-destroy
%attr(4777,root,root)  %{path}/bin/kcron-delete
%attr(4755,root,root)  %{path}/bin/keytab-convert
%attr(4755,root,root)  %{path}/bin/new-portal-ticket

%attr(0644,root,root)  %{path}/lib/kcommon.pm

%attr(0644,root,root)  %{path}/man/man1/*.1


%changelog
* Tue Aug 25 2015 Frank Nagy <nagy@fnal.gov> 1.3-1
- Replaced k5push with updated version from Marc Mengel
- Modified new-portal-ticket to display obsolescence message and exit
* Thu Oct 16 2014 Frank Nagy <nagy@fnal.gov> 1.2-1
- Replace Fermilab-provided aklog executable by a scriptlet to
- /usr/bin/aklog if it exists
* Wed Jan 5 2011 Frank Nagy <nagy@fnal.gov> 1.1-1
- New versions of SLF5 executables for kcron and kcron-create
- Adds -d (debug print) flag to kcron.  kcron modified to
- invoke /usr/krb5/bin/kinit so that aklog will be invoked
- on AFS client systems.  Also added aklog executable (replaces
- link to /usr/bin/akoog from OpenAFS) for SLF5 made from the
- OpenAFS aklog with added support for Fermilab compound
- principals.

* Tue Jan 12 2010 Frank Nagy <nagy@fnal.gov> 1.0-2
- Now have SLF5 executables for kcron and kcron-create, remove
- libraries and incorporated changes from SLF4 krb1-1.8d.spec 

* Fri May 08 2009 Frank Nagy <nagy@fnal.gov> 1.0-1
- Created from krb5-fermi-baseconfig for SLF5.x
